Skip to main content
POST
/
v1
/
facebook
/
pages
curl --request POST \
  --url https://api.socq.ai/v1/facebook/pages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "urls": [
    "https://www.facebook.com/facebook"
  ]
}
'
{
  "code": 200,
  "data": {
    "task_id": "A1B2C3D4E5F6G7H8",
    "status": "queued",
    "created_time": "2023-11-07T05:31:56Z"
  }
}
{
"code": 123,
"error": {
"message": "<string>",
"type": "<string>"
}
}
{
"code": 123,
"error": {
"message": "<string>",
"type": "<string>"
}
}
{
"code": 123,
"error": {
"message": "<string>",
"type": "<string>"
}
}

Facebook Pages

Collect public Facebook page/profile metadata, public URLs, profile fields, and related public metrics.

Endpoint

POST https://api.socq.ai/v1/facebook/pages

Request Body

{
  "urls": ["https://www.facebook.com/facebook"]
}

Result Item

After the task succeeds, call GET /v1/tasks/{task_id} to read paginated standard records under results.
{
  "id": "100064860875397",
  "platform": "facebook",
  "resource": "pages",
  "type": "page",
  "name": "Facebook",
  "url": "https://www.facebook.com/facebook/",
  "category": "Internet company",
  "about": "Public page description",
  "avatar_url": "https://example.com/avatar.jpg",
  "cover_url": "https://example.com/cover.jpg",
  "metrics": {
    "followers_count": 154000000,
    "likes_count": 154831857,
    "reviews_count": null,
    "rating": null
  },
  "contact": {
    "website": "https://example.com",
    "email": null,
    "phone": null,
    "address": null
  },
  "created_at": "2007-11-07T00:00:00",
  "collected_at": "2026-07-08T08:59:45",
  "extra": {}
}
You can pass multiple page URLs in the same field:
{
  "urls": [
    "https://www.facebook.com/facebook",
    "https://www.facebook.com/Meta"
  ]
}

Response

{
  "code": 200,
  "data": {
    "task_id": "A1B2C3D4E5F6G7H8",
    "status": "queued",
    "created_time": "2026-07-08T10:30:00"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
urls
string[]

Array of public URLs to collect.

usernames
string[]

Array of public usernames to collect.

query
string

Search query

results_limit
integer

Maximum number of results to collect

Required range: x >= 1
callback_url
string

Optional callback URL

Response

Task submitted

code
integer
Example:

200

data
object